Bug 163060 - "Swing GUI Forms" and "AWT GUI Forms" categories appear for Rails app project
"Swing GUI Forms" and "AWT GUI Forms" categories appear for Rails app project
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Platform
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Pavel Flaska
issues@java
fix-in-67
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 03:03 UTC by Masaki Katakai
Modified: 2009-05-22 01:26 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (110.83 KB, image/png)
2009-04-20 03:05 UTC, Masaki Katakai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2009-04-20 03:03:23 UTC
GUI Form categories are displayed for Rails Application when ergonomics is enabled.

1. Create Rails application project
2. New > File
3. On New File dialog, "Swing GUI Forms" and "AWT GUI Forms" categories are displayed
   and "File Types:" are not correct e.g. displayed "Application.form".
4. Create a Java application project
   Now Java is enabled
5. New > File against Rails application project again
   Now no "Swing GUI Forms" and "AWT GUI Forms" categories are not displayed.
   It looks this is the correct behavior.
Comment 1 Masaki Katakai 2009-04-20 03:04:28 UTC
Product Version: NetBeans IDE Dev (Build 200904180201)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.6 running on i386; UTF8; en (nb)
Comment 2 Masaki Katakai 2009-04-20 03:05:53 UTC
Created attachment 80465 [details]
screenshot
Comment 3 Jan Jancura 2009-04-20 08:20:03 UTC
>p3
Comment 4 Jaroslav Tulach 2009-04-23 11:34:13 UTC
Can we help Hanz, Flaškine? I guess the necessary thing is to annotate the *.form file with some property so it is not 
visible in Ruby. I am not sure what property is that but the *.java file next to the .form shall have it.
Comment 5 Pavel Flaska 2009-04-23 14:14:26 UTC
http://hg.netbeans.org/ergonomics/rev/c5f73f46d840
Comment 6 Quality Engineering 2009-04-28 18:52:27 UTC
Integrated into 'main-golden', will be available in build *200904281401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c5f73f46d840
User: Pavel Flaska <pflaska@netbeans.org>
Log: #163060: Specify correct template category.
Comment 7 Masaki Katakai 2009-05-22 01:26:56 UTC
verified on build 200905211401. Thank you!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo